import { WebSocketWrapper } from '../../utils/WebSocketWrapper';
import { Time } from '../../utils/Time';
import { Transaction } from '../Transaction';
import { PromiseObject } from "../../utils/createPromise";
import { XAPI } from "../XAPI";
export declare class SocketConnection {
    connectedTime: Time | null;
    lastReceivedMessage: Time | null;
    capacity: Time[];
    loggedIn: boolean;
    streamId: string;
    socketId: string;
    private queue;
    private queueTimer;
    protected WebSocket: WebSocketWrapper;
    private callListener;
    private connectionProgress;
    private disconnectionProgress;
    private XAPI;
    constructor(url: string, callListener: (listenerId: string, params?: any[]) => void, socketId: string, XAPI: XAPI);
    get status(): 'CONNECTING' | 'CONNECTED' | 'DISCONNECTED';
    connect(timeoutMs: number): Promise<{
        transaction: Transaction<Record<string | number, any>, Record<string | number, any>>;
        data: any;
    }>;
    close(): Promise<void> | Promise<{
        transaction: Transaction<Record<string | number, any>, Record<string | number, any>>;
        data: any;
    }>;
    private cleanQueue;
    private callCleaner;
    send(transaction: Transaction, promise?: PromiseObject<Time>): Promise<Time>;
    private handleMessage;
}
