export declare enum REQUEST_STATUS_FIELD {
    ERROR = 0,
    PENDING = 1,
    ACCEPTED = 3,
    REJECTED = 4
}
export declare enum DAY_FIELD {
    MONDAY = 1,
    TUESDAY = 2,
    WEDNESDAY = 3,
    THURSDAY = 4,
    FRIDAY = 5,
    SATURDAY = 6,
    SUNDAY = 7
}
export declare enum CMD_FIELD {
    BUY = 0,
    SELL = 1,
    BUY_LIMIT = 2,
    SELL_LIMIT = 3,
    BUY_STOP = 4,
    SELL_STOP = 5,
    BALANCE = 6,
    CREDIT = 7
}
export declare enum TYPE_FIELD {
    OPEN = 0,
    PENDING = 1,
    CLOSE = 2,
    MODIFY = 3,
    DELETE = 4
}
export declare enum STATE_FIELD {
    MODIFIED = "Modified",
    DELETED = "Deleted"
}
export declare enum PERIOD_FIELD {
    PERIOD_M1 = 1,
    PERIOD_M5 = 5,
    PERIOD_M15 = 15,
    PERIOD_M30 = 30,
    PERIOD_H1 = 60,
    PERIOD_H4 = 240,
    PERIOD_D1 = 1440,
    PERIOD_W1 = 10080,
    PERIOD_MN1 = 43200
}
export declare const CHART_RATE_LIMIT_BY_PERIOD: Record<string, number>;
export declare enum PositionType {
    open = 0,
    closed = 1,
    limit = 2,
    source = 3
}
export declare enum Candle {
    timestamp = 0,
    open = 1,
    high = 2,
    low = 3,
    close = 4,
    volume = 5
}
export declare enum errorCode {
    XAPINODE_0 = "XAPINODE_0",
    XAPINODE_1 = "XAPINODE_1",
    XAPINODE_2 = "XAPINODE_2",
    XAPINODE_3 = "XAPINODE_3",
    XAPINODE_4 = "XAPINODE_4",
    XAPINODE_BE103 = "XAPINODE_BE103",
    BE005 = "BE005",
    BE118 = "BE118"
}
export declare const Currency2Pair: Record<string, string>;
export type RelevantCurrencies = 'HUF' | 'USD' | 'JPY' | 'GBP' | 'TRY' | 'CHF' | 'CZK' | 'BRL' | 'PLN' | 'MXN' | 'ZAR' | 'RON' | 'AUD' | 'CAD' | 'SEK' | 'NOK' | 'NZD' | 'EUR' | 'CLP' | 'DKK' | 'BTC' | 'ETH';
