"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Time = void 0;
const isNodeJS = typeof window === 'undefined';
const calculateElapsedTime = isNodeJS ? ((time) => {
    const hrtime = process.hrtime(time);
    return Math.floor(hrtime[0] * 1000 + hrtime[1] / 1000000);
}) : ((time) => performance.now() - time[0]);
class Time {
    constructor() {
        this.unit = isNodeJS ? process.hrtime() : [performance.now(), 0];
        this.UTCTimestamp = Date.now();
        return this;
    }
    getDifference(time) {
        return time.elapsedMs() - this.elapsedMs();
    }
    get() {
        return new Date(Date.now() - calculateElapsedTime(this.unit));
    }
    elapsedMs() {
        return calculateElapsedTime(this.unit);
    }
    getUTC() {
        return new Date(this.UTCTimestamp);
    }
}
exports.Time = Time;
//# sourceMappingURL=Time.js.map